From bf0a6b56d77fe07f3ffdb465e356a812c7d40b15 Mon Sep 17 00:00:00 2001
From: Jeff Palmucci <jpalmucci@futuna.csail.mit.edu>
Date: Mon, 6 Jul 2009 12:42:57 -0400
Subject: [PATCH] fix a nested reader conditional

---
 asdf.lisp |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/asdf.lisp b/asdf.lisp
index 6a13da8..4443d5f 100644
--- a/asdf.lisp
+++ b/asdf.lisp
@@ -1345,7 +1345,7 @@ output to `*verbose-out*`.  Returns the shell's exit code."
      (sb-ext:run-program
       #+win32 "sh" #-win32 "/bin/sh"
       (list  "-c" command)
-      #+win32 #+win32 :search t
+      #+win32 :search #+win32 t
       :input nil :output *verbose-out*))
 
     #+(or cmu scl)
@@ -1356,6 +1356,14 @@ output to `*verbose-out*`.  Returns the shell's exit code."
       :input nil :output *verbose-out*))
 
     #+allegro
+    (excl.osi:with-command-io (command)
+      (:output (o)
+	       (princ o *verbose-out*)
+	       (terpri *verbose-out*))
+      (:error-output (e)
+		     (princ e *verbose-out*)
+		     (terpri *verbose-out*)))
+    #+ignore
     ;; will this fail if command has embedded quotes - it seems to work
     (multiple-value-bind (stdout stderr exit-code)
         (excl.osi:command-output 
-- 
1.5.6.5

